libpngDummyWriteProc(3)

NAME
libpngDummyWriteProc - mangle libpng to do image conversion in memory without temportary files

SYNOPSIS
 void libpngDummyWriteProc(png_structp png, png_bytep data, png_uint_32 len);

DESCRIPTION

<command>PANDA INTERNAL</command>. This call implements a dummy write proceedure for libpng. This is needed so that Panda can get at the compressed PNG data, whilst converting it on the fly from unsupported PNG variants, and while not having to deal with temporary files. PDF documents only need the content of the IDAT chunks within the PNG file, and this method eases gaining access to those chunks.

RETURNS

Zero

EXAMPLE
 See panda_insertPNG for an example usage

SEE ALSO

panda_insertPNG, libpngDummyReadProc, libpngDummyFlushProc

VERSION

This documentation was generated for Panda 0.5.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 - 2003, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.